/*
 * hardware.h
 *
 * Created: 2012-12-26 22:23:43
 *  Author: user
 */ 


#ifndef HARDWARE_H_
#define HARDWARE_H_

#define INPUT_PORT		PORTB
#define INPUT_RST		3
#define INPUT_PIN		2
#define INPUT_EXT		1

#define IO_PORT			PORTA
#define IO_CAP			0		//PCINT0, ADC0
#define IO_V1			1		//ADC1
#define IO_V2			2		//ADC2
#define IO_V3			3		//ADC3
#define IO_CF1			4		//config in 1
#define IO_CF2			5		//config in 2
#define IO_LED			6		//LED, H active
#define IO_DRV			7		//H active

#define CF1_GET			(PINA & (1<<IO_CF1))
#define CF2_GET			(PINA & (1<<IO_CF2))

#define LED_OFF			(IO_PORT &= ~(1<<IO_LED))
#define LED_ON			(IO_PORT |= (1<<IO_LED))

#define EXT_OFF			(INPUT_PORT &= ~(1<<INPUT_EXT))
#define EXT_ON			(INPUT_PORT |= (1<<INPUT_EXT))

#define DRV_ON			(IO_PORT |= (1<<IO_DRV))
#define DRV_OFF			(IO_PORT &= ~(1<<IO_DRV))

#define INPUT_GET		(PINB & (1<<INPUT_PIN))
#define CAP_GET			(PINA & (1<<IO_CAP))






#endif /* HARDWARE_H_ */